#include <iostream>
#include <vector>
#include <string>
#define f(i,n) for(int i=0;i<n;i++)
using namespace std;

int main()
{
    string a,b;
    cin>>a>>b;
    vector<char> x(a.size());
    vector<char> y(b.size());
    f(i,a.size())
        x[i]=a[i];
    f(i,b.size())
        y[i]=b[i];

    vector<char> xy;
    int i=0;
    char s=47;
    if(a.size()>b.size())
    {
        y.insert(y.begin(),(a.size()-b.size()), s);
    }
    else if(b.size()>a.size())
    {
        x.insert(x.begin(),(b.size()-a.size()), s);
    }

    f(i,max(a.size(),b.size()))
    {
       // cout<<x[i];
    }
    cout<<endl;
    f(i,max(a.size(),b.size()))
    {
        //cout<<y[i];
    }
    //cout<<x.size()<<ends<<y.size();
    cout<<endl;
    while(i<x.size())
    {
        if(x[i]!=y[i])
            xy.push_back(max(x[i],y[i]));
        else
        {
            xy.push_back(x[i]);
            xy.push_back(y[i]);
        }
        i++;
    }
    f(i,xy.size())
    {
        cout<<xy[i];
    }
    return 0;
}